Gajim - 2017-07-04


  1. mimi89999 aaa:// aaas:// acap:// cap:// cid: crid:// data: dav: dict:// dns: fax: file:/ ftp:// geo: go: gopher:// h323: http:// https:// iax: icap:// im: imap:// info: ipp:// iris: iris.beep: iris.xpc: iris.xpcs: iris.lwz: ldap:// mid: modem: msrp:// msrps:// mtqp:// mupdate:// news: nfs:// nntp:// opaquelocktoken: pop:// pres: prospero:// rtsp:// service: shttp:// sip: sips: sms: snmp:// soap.beep:// soap.beeps:// tag: tel: telnet:// tftp:// thismessage:/ tip:// tv: urn:// vemmi:// xmlrpc.beep:// xmlrpc.beeps:// z39.50r:// z39.50s:// about: apt: cvs:// daap:// ed2k:// feed: fish:// git:// iax2: irc:// ircs:// ldaps:// magnet: mms:// rsync:// ssh:// svn:// sftp:// smb:// webcal:// aesgcm://
  2. mimi89999 lovetox‎: This is what I have
  3. mimi89999 A link
  4. mimi89999 https://gajim.org/
  5. mimi89999 https://lebihan.pl/xmpp-upload/index.php/1561238b-c1cb-4802-b3d4-bba92a43564d/Capture%20du%202017-07-04%2011-18-52.png
  6. mimi89999 lovetox‎: This is what I see.
  7. lovetox what plugins do you have installed?
  8. lovetox mimi89999,
  9. mimi89999 ‎lovetox‎: Only HTTP upload and OMEMO
  10. lovetox omemo 2.3.4?
  11. lovetox and httpupload 0.6.3?
  12. lovetox you see no errors in the console?
  13. lovetox mimi89999,
  14. mimi89999 ‎lovetox‎: Just pulled from the modules repo.
  15. mimi89999 No change
  16. lovetox so no errors in console?
  17. mimi89999 Let me close Gajim and open it from the console
  18. mimi89999 Plenty
  19. mimi89999 michel@debian:~$ gajim Encodings: d:utf-8, fs:utf-8, p:UTF-8 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin url_shortener not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin triggers not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin offline_bookmarks not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin whiteboard not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin tictactoe not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin ubuntu_integration not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin snarl_notifications not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin file_sharing not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin gnome_session_manager not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:02 (W) gajim.plugin_system Plugin gotr not loaded, plugin incompatible with current version of gajim: 0.16.10.4 > 0.15.9 04/07/2017 11:40:03 (W) gajim.c.resolver Could not resolve host: Aucun enregistrement DNS du type demandé pour « _stun._udp.lebihan.pl » 04/07/2017 11:40:10 (W) gajim.plugin_system Error executing <bound method OmemoPlugin.message_received of <omemo.omemoplugin.OmemoPlugin object at 0x7f2f9aeaed68>> Traceback (most recent call last): File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 28, in __init__ preKeyWhisperMessage.ParseFromString(serialized[1:]) google.protobuf.message.DecodeError: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 198, in decrypt_msg encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 434, in handlePreKeyWhisperMessage preKeyWhisperMessage = PreKeyWhisperMessage(serialized=key) File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 50, in __init__ raise InvalidMessageException(e) axolotl.invalidmessageexception.InvalidMessageException: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 201, in decrypt_msg key = self.handleWhisperMessage(sender_jid, sid, encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 459, in handleWhisperMessage key = sessionCipher.decryptMsg(whisperMessage, textMsg=False) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 84, in decryptMsg plaintext = self.decryptWithSessionRecord(sessionRecord, ciphertext) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 144, in decryptWithSessionRecord raise InvalidMessageException("No valid sessions", exceptions) axolotl.invalidmessageexception.InvalidMessageException: No valid sessionsBad Mac! During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/gajim/gajim/plugins/pluginmanager.py", line 286, in _execute_all_handlers_of_gui_extension_point handlers[0](*args) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 383, in message_received self._message_received(obj) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 501, in _message_received plaintext = state.decrypt_msg(msg_dict) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 203, in decrypt_msg log.warning('No Session found ' + e.message) AttributeError: 'InvalidMessageException' object has no attribute 'message' 04/07/2017 11:40:10 (W) gajim.plugin_system.omemo Duplicate message found ('Received message with old counter: 11, 4',) 04/07/2017 11:40:10 (W) gajim.plugin_system Error executing <bound method OmemoPlugin.message_received of <omemo.omemoplugin.OmemoPlugin object at 0x7f2f9aeaed68>> Traceback (most recent call last): File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 28, in __init__ preKeyWhisperMessage.ParseFromString(serialized[1:]) google.protobuf.message.DecodeError: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 198, in decrypt_msg encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 434, in handlePreKeyWhisperMessage preKeyWhisperMessage = PreKeyWhisperMessage(serialized=key) File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 50, in __init__ raise InvalidMessageException(e) axolotl.invalidmessageexception.InvalidMessageException: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 201, in decrypt_msg key = self.handleWhisperMessage(sender_jid, sid, encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 459, in handleWhisperMessage key = sessionCipher.decryptMsg(whisperMessage, textMsg=False) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 84, in decryptMsg plaintext = self.decryptWithSessionRecord(sessionRecord, ciphertext) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 144, in decryptWithSessionRecord raise InvalidMessageException("No valid sessions", exceptions) axolotl.invalidmessageexception.InvalidMessageException: No valid sessionsBad Mac! During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/gajim/gajim/plugins/pluginmanager.py", line 286, in _execute_all_handlers_of_gui_extension_point handlers[0](*args) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 383, in message_received self._message_received(obj) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 501, in _message_received plaintext = state.decrypt_msg(msg_dict) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 203, in decrypt_msg log.warning('No Session found ' + e.message) AttributeError: 'InvalidMessageException' object has no attribute 'message' 04/07/2017 11:40:10 (W) gajim.plugin_system Error executing <bound method OmemoPlugin.message_received of <omemo.omemoplugin.OmemoPlugin object at 0x7f2f9aeaed68>> Traceback (most recent call last): File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 28, in __init__ preKeyWhisperMessage.ParseFromString(serialized[1:]) google.protobuf.message.DecodeError: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 198, in decrypt_msg encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 434, in handlePreKeyWhisperMessage preKeyWhisperMessage = PreKeyWhisperMessage(serialized=key) File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 50, in __init__ raise InvalidMessageException(e) axolotl.invalidmessageexception.InvalidMessageException: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 201, in decrypt_msg key = self.handleWhisperMessage(sender_jid, sid, encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 459, in handleWhisperMessage key = sessionCipher.decryptMsg(whisperMessage, textMsg=False) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 84, in decryptMsg plaintext = self.decryptWithSessionRecord(sessionRecord, ciphertext) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 144, in decryptWithSessionRecord raise InvalidMessageException("No valid sessions", exceptions) axolotl.invalidmessageexception.InvalidMessageException: No valid sessionsBad Mac! During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/gajim/gajim/plugins/pluginmanager.py", line 286, in _execute_all_handlers_of_gui_extension_point handlers[0](*args) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 383, in message_received self._message_received(obj) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 501, in _message_received plaintext = state.decrypt_msg(msg_dict) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 203, in decrypt_msg log.warning('No Session found ' + e.message) AttributeError: 'InvalidMessageException' object has no attribute 'message' 04/07/2017 11:40:10 (W) gajim.plugin_system.omemo Duplicate message found ('Received message with old counter: 11, 8',) 04/07/2017 11:40:10 (W) gajim.plugin_system Error executing <bound method OmemoPlugin.message_received of <omemo.omemoplugin.OmemoPlugin object at 0x7f2f9aeaed68>> Traceback (most recent call last): File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 28, in __init__ preKeyWhisperMessage.ParseFromString(serialized[1:]) google.protobuf.message.DecodeError: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 198, in decrypt_msg encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 434, in handlePreKeyWhisperMessage preKeyWhisperMessage = PreKeyWhisperMessage(serialized=key) File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 50, in __init__ raise InvalidMessageException(e) axolotl.invalidmessageexception.InvalidMessageException: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 201, in decrypt_msg key = self.handleWhisperMessage(sender_jid, sid, encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 459, in handleWhisperMessage key = sessionCipher.decryptMsg(whisperMessage, textMsg=False) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 84, in decryptMsg plaintext = self.decryptWithSessionRecord(sessionRecord, ciphertext) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 144, in decryptWithSessionRecord raise InvalidMessageException("No valid sessions", exceptions) axolotl.invalidmessageexception.InvalidMessageException: No valid sessionsBad Mac! During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/gajim/gajim/plugins/pluginmanager.py", line 286, in _execute_all_handlers_of_gui_extension_point handlers[0](*args) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 383, in message_received self._message_received(obj) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 501, in _message_received plaintext = state.decrypt_msg(msg_dict) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 203, in decrypt_msg log.warning('No Session found ' + e.message) AttributeError: 'InvalidMessageException' object has no attribute 'message' 04/07/2017 11:40:11 (W) gajim.plugin_system Error executing <bound method OmemoPlugin.message_received of <omemo.omemoplugin.OmemoPlugin object at 0x7f2f9aeaed68>> Traceback (most recent call last): File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 28, in __init__ preKeyWhisperMessage.ParseFromString(serialized[1:]) google.protobuf.message.DecodeError: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 198, in decrypt_msg encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 434, in handlePreKeyWhisperMessage preKeyWhisperMessage = PreKeyWhisperMessage(serialized=key) File "/usr/lib/python3/dist-packages/axolotl/protocol/prekeywhispermessage.py", line 50, in __init__ raise InvalidMessageException(e) axolotl.invalidmessageexception.InvalidMessageException: Error parsing message During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 201, in decrypt_msg key = self.handleWhisperMessage(sender_jid, sid, encrypted_key) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 459, in handleWhisperMessage key = sessionCipher.decryptMsg(whisperMessage, textMsg=False) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 84, in decryptMsg plaintext = self.decryptWithSessionRecord(sessionRecord, ciphertext) File "/usr/lib/python3/dist-packages/axolotl/sessioncipher.py", line 144, in decryptWithSessionRecord raise InvalidMessageException("No valid sessions", exceptions) axolotl.invalidmessageexception.InvalidMessageException: No valid sessionsBad Mac! During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/gajim/gajim/plugins/pluginmanager.py", line 286, in _execute_all_handlers_of_gui_extension_point handlers[0](*args) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 383, in message_received self._message_received(obj) File "/home/michel/.local/share/gajim/plugins/omemo/omemoplugin.py", line 501, in _message_received plaintext = state.decrypt_msg(msg_dict) File "/home/michel/.local/share/gajim/plugins/omemo/omemo/state.py", line 203, in decrypt_msg log.warning('No Session found ' + e.message) AttributeError: 'InvalidMessageException' object has no attribute 'message' 04/07/2017 11:40:11 (E) gajim.plugin_system.omemo lebihan.pl => Cant decrypt own GroupChat Message 04/07/2017 11:40:11 (E) gajim.plugin_system.omemo lebihan.pl => Cant decrypt own GroupChat Message
  20. mimi89999 lovetox‎:
  21. mimi89999 https://conference.gajim.org:5281/pastebin/e0c1b3ef-59c0-461f-ba87-fd0e273baf64
  22. lovetox i think it has to do with plugins
  23. lovetox dont clone the whole plugin repo into your plugin folder
  24. lovetox there is no reason to clone the repo at all
  25. lovetox the plugin installer always installs the latest version
  26. lovetox delete your plugins dir, restart gajim without plugins see if the problem still exists
  27. mimi89999 https://gajim.org/
  28. mimi89999 lovetox‎: Same issue. Nothing in the console now.
  29. CapsLock Hi everyone ; sorry if this is the wrong place to ask but, this is my question : When an incoming message arrives and chat window is closed, I get Gnome notification. If window is unfocused (on another virtual space), I do not get any notification when a message is incoming. Have you any idea it is acting like that ?
  30. mimi89999 lovetox‎: How come you can't reproduce it?
  31. CapsLock I am using Gajim v0.16.6-1 on ubuntu
  32. lovetox mimi89999, i dont know why
  33. lovetox we didnt change anything regarding links
  34. mimi89999 lovetox‎: This issue appeared with the support of unicode emoticons.
  35. lovetox i cannot imagine how this could be related
  36. lovetox hm let me think about it
  37. mimi89999 Me neither, but this issue is very annoying.
  38. lovetox CapsLock, hm not even sound notification?
  39. lovetox mimi89999, then step back 10 commits and see if the issue is still there
  40. lovetox so we know its because of the commits
  41. mimi89999 lovetox‎: To which commit?
  42. mimi89999 http://example.com/
  43. mimi89999 To fe750600985f4883ea7eb0204879612e68c4d349 ?
  44. mimi89999 lovetox‎:
  45. lovetox to for example
  46. lovetox 1a2d32fca522fc3eb43c2bdce07d15b70d2bc76d
  47. lovetox ok
  48. lovetox i can reporduce
  49. lovetox sorry will fix it
  50. bot Philipp Hörist pushed 1 commit to branch _refs/heads/master_ of _gajim_ <https://dev.gajim.org/gajim/gajim>: *ab85729f* <https://dev.gajim.org/gajim/gajim/commit/ab85729fe54e4f427a7dbaf3f7e2a83b6920930a> Fix displaying links in textview Regression from https://dev.gajim.org/gajim/gajim/commit/79716f421f0a153588fc7bcc6505d1ab0d0bac7f
  51. lovetox mimi89999, should be fixed
  52. mimi89999 http://example.com/
  53. mimi89999 ‎lovetox‎: Yes, it is fixed. Thank you.
  54. Admin hello people, can u help me?
  55. Admin hello people, can u help me?
  56. Admin :-(
  57. Admin :-(
  58. CapsLock no sound notification, nor gnome notification but tray icon blinks (but it is painful tu display it on gnome as it is on a bar overlayed on other UI components). For sound, if I click "play" in settings, I have no sound at all but I'm not interested to have sound notification
  59. peer hello
  60. peer hello
  61. mdosch Just realized the latest nightly is supporting Unicode Emoji. Thank you this is very nice 🤣 👍 and my wife wouldn't realize now if I am already at home by using different emoji in Gajim 😂
  62. pep. social hacks
  63. lovetox CapsLock, hm it would be great if you could open an issue about it on dev.gajim.org
  64. lovetox we plan to use the newer gnome notification api in the future, then maybe this gets fixed
  65. CapsLock lovetox, ok
  66. Jordi lovetox, the non-gnomey notifications are the #1 problem I have with current gajim
  67. Jordi otherwise, the migration from Empathy would be mostly grumpy-free
  68. Jordi I just miss most notifications
  69. lovetox should not be too hard to implement them,